//
//  igViewController.m
//  DataGridLines
//
//  Created by Torrey Betts on 05/09/13.
//  Copyright (c) 2013 Infragistics. All rights reserved.
//

#import "igViewController.h"

@interface igViewController ()
{
    IGGridView *_gridView;
}
@end

@implementation igViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    _gridView = [[IGGridView alloc] init];
    _gridView.frame = self.view.bounds;
    _gridView.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth;
    _gridView.bounces = NO;
    [_gridView registerClass:[IGGridViewCell class] forCellReuseIdentifier:@"CELL"];

    UIColor *gridlineColor = [UIColor blackColor];
    CGFloat gridlineSeparation = 2.0;
    _gridView.backgroundColor = gridlineColor;
    _gridView.columnSpacing = gridlineSeparation;
    _gridView.rowSeparatorHeight = gridlineSeparation;
    _gridView.rowSeparatorColor = gridlineColor;
    _gridView.rowHeight = 50;

    [self.view addSubview:_gridView];
    _gridView.dataSource = self;
}

- (int)numberOfColumnsInGridView:(IGGridView *)gridView
{
    return 4;
}

- (int)gridView:(IGGridView *)gridView numberOfRowsInSection:(int)section
{
    return 30;
}

- (int)numberOfSectionsInGridView:(IGGridView *)gridView
{
    return 1;
}

- (IGGridViewCell *)gridView:(IGGridView *)gridView cellAt:(IGCellPath *)path
{
    IGGridViewCell *cell = [gridView dequeueReusableCellWithIdentifier:@"CELL"];
    cell.backgroundColor = [UIColor whiteColor];
    return cell;
}

@end